Package Details: nordvpn-bin 3.15.2-1

Git Clone URL: https://aur.archlinux.org/nordvpn-bin.git (read-only, click to copy)
Package Base: nordvpn-bin
Description: NordVPN CLI tool for Linux
Upstream URL: https://nordvpn.com/download/linux/
Keywords: networking nordvpn openvpn security vpn
Licenses: custom
Conflicts: openvpn-nordvpn
Provides: nordvpn
Submitter: metiis
Maintainer: metiis (Martoko, bubuntux)
Last Packager: Martoko
Votes: 137
Popularity: 1.21
First Submitted: 2018-08-29 12:13 (UTC)
Last Updated: 2022-12-07 04:08 (UTC)

Pinned Comments

Martoko commented on 2020-12-20 09:10 (UTC) (edited on 2020-12-20 09:12 (UTC) by Martoko)

If you're seeing the message "Daemon is unreachable, is systemd running?", then one of two things is probably happening.

The nordvpn daemon might not be started
Start it using:
sudo systemctl enable --now nordvpnd

You might not have been added to the nordvpn group
Add yourself:
sudo gpasswd -a USERNAME nordvpn
And then restart in order for the group to be created:
reboot

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 .. 45 Next › Last »

theriddick commented on 2022-06-30 01:59 (UTC) (edited on 2022-06-30 04:39 (UTC) by theriddick)

Doesn't work for me.

[Error] TELIO: telio_disconnect_from_exit_nodes: Err(NotStarted)

[Error] adding drop: adding iptables rule 'INPUT -i enp42s0 -j DROP -m comment --comment nordvpn': exit status 1: Warning: Extension comment revision 0 not supported, missing kernel module?

Is this nordvpn app dependent on specific kernel modules? if so what ones?

UPDATE: SOLVED, Ended up being my modprobed.db file missing some stuff so I booted to default kernel and ran through it again.

bensums commented on 2022-06-29 09:24 (UTC)

On Ubuntu, the meshnet command is available, but it doesn't seem to be available with the version from this package. Both versions are 3.14.1

Snayler commented on 2022-06-10 08:22 (UTC) (edited on 2022-06-10 08:32 (UTC) by Snayler)

Keep getting out-of-date flags even though the version is the latest at nordvpn repos. Tried installing from nordvpn directly, same issue.

Seems like uninstalling and rebuilding nordvpn-bin again solves the issue.

Fox_2712 commented on 2022-06-06 16:51 (UTC)

I have the same problem. App just opens and closes.

chovy commented on 2022-06-05 13:17 (UTC)

app just opens and closes.

steventrouble commented on 2022-06-04 03:30 (UTC)

If you want to get the latest version, simply clone the git repo, update the version to the latest version (e.g. 3.14.0), and remove the SHA sum lines.

To clone: git clone https://aur.archlinux.org/nordvpn-bin.git To build: makepkg

android_aur commented on 2022-05-24 16:54 (UTC) (edited on 2022-05-24 16:57 (UTC) by android_aur)

With the newest NordVPN version I get this small error message when trying to connect:

$ nordvpn connect
rpc error: code = Unimplemented desc = method IsMeshnetAvailable not implemented
Connecting to XYZ #XYZ (XXXX.nordvpn.com)
You are connected to XYZ #XXX (XXXX.nordvpn.com)!

This part: rpc error: code = Unimplemented desc = method IsMeshnetAvailable not implemented

The VPN still seems to work but with older versions I never got this error message.

Photonik commented on 2022-05-24 15:09 (UTC)

Would it be possible to get this package updated? I am getting an out-of-date flag on login. Thank you for your hard work!

wyanricks commented on 2022-04-24 01:53 (UTC) (edited on 2022-04-24 01:54 (UTC) by wyanricks)

For anyone trying to use the new login mechanism and don't want to use the --legacy option, you can run 'nordvpn login' login though the web browser, and then copy the link provided. It should be a link starting with nordvpn:// and your token included.

Then run 'nordvpn login --callback "<nordvpn:// link>"'

Replace "<nordvpn:// link>" with whatever you copied, but keep the quotes around it.

Sensu commented on 2022-04-05 21:41 (UTC)

Please add xterm as a dependency to this. I was not able to sign with my nordvpn credentials until I installed xterm in my system.